#!/bin/sh

CONFIG_FILE="pop3_config.h"

read -p "Enter Hostname Port Username Password for USERPASS account: " POP3_DEFAULT_HOST POP3_DEFAULT_PORT POP3_DEFAULT_USER POP3_DEFAULT_PASSWORD
read -p "Enter Hostname Port Username Password for SSL account: " POP3_SSL_DEFAULT_HOST POP3_SSL_DEFAULT_PORT POP3_SSL_DEFAULT_USER POP3_SSL_DEFAULT_PASSWORD

#-- Header
echo "/* THIS FILE IS AUTO-GENERATED */" > $CONFIG_FILE
echo "#ifndef POP3_CONFIG_DEFAULTS_H" >> $CONFIG_FILE
echo "#define POP3_CONFIG_DEFAULTS_H" >> $CONFIG_FILE
echo "" >> $CONFIG_FILE

#-- User Pass POP3 Server
echo "#define POP3_DEFAULT_HOST		\"$POP3_DEFAULT_HOST\"" >> $CONFIG_FILE
echo "#define POP3_DEFAULT_PORT		\"$POP3_DEFAULT_PORT\"" >> $CONFIG_FILE
echo "#define POP3_DEFAULT_USER		\"$POP3_DEFAULT_USER\"" >> $CONFIG_FILE
echo "#define POP3_DEFAULT_PASSWORD	\"$POP3_DEFAULT_PASSWORD\"" >> $CONFIG_FILE
echo "" >> $CONFIG_FILE

#-- SSL POP3 Server
echo "#define POP3_SSL_DEFAULT_HOST	\"$POP3_SSL_DEFAULT_HOST\"" >> $CONFIG_FILE
echo "#define POP3_SSL_DEFAULT_PORT	\"$POP3_SSL_DEFAULT_PORT\"" >> $CONFIG_FILE
echo "#define POP3_SSL_DEFAULT_USER	\"$POP3_SSL_DEFAULT_USER\"" >> $CONFIG_FILE
echo "#define POP3_SSL_DEFAULT_PASSWORD	\"$POP3_SSL_DEFAULT_PASSWORD\"" >> $CONFIG_FILE

#-- Footer
echo "" >> $CONFIG_FILE
echo "#endif /* POP3_CONFIG_DEFAULTS_H */" >> $CONFIG_FILE
